Subject: Files::is_link() returns TRUE for vfs paths on Windows
Description

\TYPO3\FLOW3\Utility\Files::is_link() was introduced to circumvent PHPs buggy behavior with Symlinks on Windows (see 
http://bugs.php.net/bug.php?id=51766).

This work around does not work for stream wrappers. That breaks some unit tests making use of vfs paths.

Associated revisions
Revision fdd78845 - 2011-12-19 22:37 - Bastian Waidelich

[BUGFIX] Files::is_link() returns TRUE for vfs paths on Windows

This adds a check to \TYPO3\FLOW3\Utility\Files::is_link() that
prevents the method from returning TRUE for virtual paths
(e.g. streamwrapper like "vfs://").

Change-Id: I504db4e336347873163827da4f824fb416c39a65
Fixes: #32697
Releases: 1.1

History
#1 - 2011-12-19 16:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7390

#2 - 2011-12-19 22:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7390

#3 - 2011-12-19 23:07 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:fdd78845379a1e9b76a1519e4e363a01edbcba4a.

#4 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
